# uri-collection

Returns a sequence of `xs:anyURI` values representing the document URIs of the documents in a collection (either the default collection or a named collection).

uri-collection() → xs:anyURI*

There are no arguments
Result | xs:anyURI*

uri-collection($arg as xs:string?) → xs:anyURI*

Arguments
| $arg | xs:string? | The collection URI
Result | xs:anyURI*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

Notes on the Saxon implementation

Newly implemented in Saxon 9.3. Requires XPath 3.0 to be enabled.

The mechanisms for interpreting collection URIs are essentially the same as for the `collection` function, except that the collection URI resolver (if used) must return URIs rather than returning parsed document nodes directly.

Next